GCLOUD_COMPUTE_TARGET-POOLS_SET-BACKUP(1)

NAME

gcloud compute target-pools set-backup - set a backup pool for a target pool

SYNOPSIS

gcloud compute target-pools set-backup NAME --backup-pool BACKUP_POOL [--failover-ratio FAILOVER_RATIO] [--region REGION] [GLOBAL-FLAG ...]

DESCRIPTION
gcloud compute target-pools set-backup is used to set a backup target pool for a primary target pool, which defines the fallback behavior of the primary pool. If the ratio of the healthy instances in the primary pool is at or below the specified --failover-ratio value, then traffic arriving at the load-balanced IP address will be directed to the backup pool.

POSITIONAL ARGUMENTS
NAME
    The name of the target pool for which to set the backup pool.

REQUIRED FLAGS
--backup-pool BACKUP_POOL
    Name of the target pool that will serve as backup. If this flag is provided without a value, the existing backup pool is removed.

OPTIONAL FLAGS
--failover-ratio FAILOVER_RATIO
    The new failover ratio value for the target pool. This must be a float in the range of [0, 1].
--region REGION
    The region of the target pool to set a backup pool for. If not specified, you will be prompted to select a region. To avoid prompting when this flag is omitted, you can set the compute/region property:
        $ gcloud config set compute/region REGION
    A list of regions can be fetched by running:
        $ gcloud compute regions list
    To unset the property, run:
        $ gcloud config unset compute/region
    Alternatively, the region can be stored in the environment variable CLOUDSDK_COMPUTE_REGION.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.

EXAMPLES
To cause TARGET-POOL (in region us-central1) to fail over to BACKUP-POOL when more than half of the TARGET-POOL instances are unhealthy, run:
    $ gcloud compute target-pools set-backup TARGET-POOL \
        --backup-pool BACKUP-POOL --failover-ratio 0.5 \
        --region us-central1
To remove BACKUP-POOL as a backup to TARGET-POOL, run:
    $ gcloud compute target-pools set-backup TARGET-POOL --backup-pool \
        --region us-central1